Subject: Offline Message from Chris Snyder: I purchased the swagtron swagger sk3 on De
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 24 Jul 2022 20:20:25 -0000

From: Chris Snyder <[email-masked]>
Phone: 5176059889
Location: Cincinnati, United States
URL: https://swagtron.com/product-category/electric-scooter/
Department: SwagTron

I purchased the swagtron swagger sk3 on Dec. 20, 2020. It was shipped on Jan. 20, 2021. 113-9639122-9877839 order number on Amazon. I had lots of trouble with charging it. Would always be green, saying it was charged. Would have to shake the scooter while plugged in to get the charger to turn red indicating it was charging. I dealt with this for a about 6 months. Now the entire front tire broke off the scooter while my son was riding it. He weighs 62 lbs, was riding on sidewalk and the front tire just completely snapped off the frame. I'm reaching out, hoping with a 4.9 review score of a company, maybe there is a solution to the broken scooter. Thank you

----
Zopim
https://www.zopim.com